Disaggregation
curl --request GET \
--url https://api.home.datanumia.com/api/v1/sites/{site-id}/usage-breakdowns/monthlyimport requests
url = "https://api.home.datanumia.com/api/v1/sites/{site-id}/usage-breakdowns/monthly"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.home.datanumia.com/api/v1/sites/{site-id}/usage-breakdowns/monthly', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.home.datanumia.com/api/v1/sites/{site-id}/usage-breakdowns/monthly",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.home.datanumia.com/api/v1/sites/{site-id}/usage-breakdowns/monthly"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.home.datanumia.com/api/v1/sites/{site-id}/usage-breakdowns/monthly")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.home.datanumia.com/api/v1/sites/{site-id}/usage-breakdowns/monthly")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"year": 123,
"monthlyUsageBreakdowns": [
{
"month": "<string>",
"totalCost": 123,
"totalConsumption": 123,
"algorithm": "DISAGGREGATION",
"usageBreakdowns": [
{
"usage": "US_HEATING",
"cost": 123,
"percent": 123,
"consumption": 123,
"fiability": {
"isReliable": true,
"equipmentsFiability": {}
},
"connectedPartCost": 123,
"connectedPartEnergy": 123
}
]
}
]
}This response has no body data.Monthly energy disaggregation
Disaggregation
The service returns the monthly energy disaggregation of a given site between two specified dates.
GET
/
v1
/
sites
/
{site-id}
/
usage-breakdowns
/
monthly
Disaggregation
curl --request GET \
--url https://api.home.datanumia.com/api/v1/sites/{site-id}/usage-breakdowns/monthlyimport requests
url = "https://api.home.datanumia.com/api/v1/sites/{site-id}/usage-breakdowns/monthly"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.home.datanumia.com/api/v1/sites/{site-id}/usage-breakdowns/monthly', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.home.datanumia.com/api/v1/sites/{site-id}/usage-breakdowns/monthly",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.home.datanumia.com/api/v1/sites/{site-id}/usage-breakdowns/monthly"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.home.datanumia.com/api/v1/sites/{site-id}/usage-breakdowns/monthly")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.home.datanumia.com/api/v1/sites/{site-id}/usage-breakdowns/monthly")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"year": 123,
"monthlyUsageBreakdowns": [
{
"month": "<string>",
"totalCost": 123,
"totalConsumption": 123,
"algorithm": "DISAGGREGATION",
"usageBreakdowns": [
{
"usage": "US_HEATING",
"cost": 123,
"percent": 123,
"consumption": 123,
"fiability": {
"isReliable": true,
"equipmentsFiability": {}
},
"connectedPartCost": 123,
"connectedPartEnergy": 123
}
]
}
]
}This response has no body data.Path Parameters
The site identifier
Query Parameters
The timestamp of the starting month (included) to return monthly consumption disaggregation from
The timestamp of the ending month (excluded) until which to return monthly consumption disaggregation
The type of consumption (electricity or gas).
Available options:
ELEC, GAS